Install Crazyfly CFClient on Arch Linux (Bitcraze)

In order to run Crazyfly python client (CFClient) some prerequisite have to be installed.

# pacman -S python2 python2-pygame python2-pyqt4

Install libusb from AUR

# yaourt -S python2-pyusb

Also, if you want to get the sources directly from the repository, buy mercurial.

# pacman -S mercurial
$ hg clone https://bitbucket.org/bitcraze/crazyflie-pc-client
$ cd crazyflie-pc-client
$ python2 bin/cfclient

 

Leave a Comment


NOTE - You can use these HTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>